@model List<RestoAPI.Models.Ext.UserWithRole>
@{
    ViewData["Title"] = "User";
}

@section Styles{ <link href="~/css/datatable.min.css" asp-append-version="true" rel="stylesheet"> }

<h2>User List</h2>

<br/>

@Html.Partial("_Message")

<table id="dataTable" class="table table-striped table-bordered">
    <thead>
        <tr>
            <th>Name</th>
            <th>Username</th>
            <th>Role</th>
            <th>Active</th>
            <th>Last Update</th>
            <th>Action</th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>@item.user.Name</td>
                <td>@item.user.Username</td>
                <td>@item.role.Name</td>
                <td>@(item.user.IsActive ? "Active" : "Not Active")</td>
                <td>@(item.user.UpdateBy == null ? "-" : item.user.UpdateOn.ToString())</td>
                <td>
                    <a href="/User/Edit/@item.user.Id" class="btn btn-primary btn-sm">Edit</a>
                    &nbsp;&nbsp;
                    <a href="/User/Delete/@item.user.Id" onclick="return confirm('Are you sure delete [@item.user.Name]?')" class="btn btn-danger btn-sm">Del</a>
                </td>
            </tr>
        }
    </tbody>
    <tfoot>
        <tr>
            <th colspan="6">
                <a href="/User/Add" class="btn btn-success btn-sm">+ Add New</a>
            </th>
        </tr>
    </tfoot>
</table>

@section Scripts{ 
    <script src="~/js/datatable.min.js" asp-append-version="true"></script>
    <script>
        $(document).ready(function () {
            $('#dataTable').DataTable();
            $('#dataTable_wrapper').removeClass('form-inline');
        });
    </script>
}